---
title: Cars
description: 
published: true
date: 2024-12-20T19:38:27.866Z
tags: 
editor: markdown
dateCreated: 2024-12-20T19:38:27.866Z
---

# 🚗 Cars

Cars are the most common and versatile vehicles in VehiclesPlus. They are ideal for quick transportation, racing events, and roleplay scenarios. This page will guide you through how cars work, the parts they use, and how to add custom cars to your server.

---

## 🛠️ How Cars Work

Cars in VehiclesPlus are powered by a fuel system (if enabled) and are controlled through simple mechanics:  

1. **Driving:** Use the movement keys (WASD by default) to drive.  
2. **Fuel System:** Cars require fuel to run if the fuel system is enabled. See the [Fuel](../fuel/basics.md) page for details.  
3. **Passenger Seats:** Depending on the car's model, you can allow additional players to ride as passengers.

---

## 🔩 Available Parts for Cars

Cars can be customized with several parts to change their appearance and functionality:  

### 1. **Skins**  
- Skins represent the body of your vehicle.
  They determine how your vehicle looks and are applied to the armor stand representing the vehicle.
  You can fully customize the skin of your vehicle, including its appearance, position, rotation, and more.

**Here is an example of a Skin configuration with explanation:**
```json
{
  # The type of part (should always be "skin" for vehicle bodies)
  type: skin

  # Position offsets relative to the vehicle's spawn point (steps of 0.1 allowed)
  xoffset: 0  # Horizontal offset
  yoffset: 0  # Vertical offset
  zoffset: 0  # Forward/backward offset

  # Rotation of the item on the armor stand, relative to North (0 = North, 90 = East, etc.)
  rotationOffset: 0

  # The item used as the vehicle's skin (on the armor stand)
  item: {
    material: LEATHER_BOOTS    # Material used for the vehicle's body (e.g., LEATHER_BOOTS)
    custommodeldata: 1         # Optional: Custom model data if you use a custom model from your resource pack
    color: {                   # Color of the item (if relevant, e.g., for colored leather items)
      red: 255
      green: 125
      blue: 0
    }
  }

  # Position of the item on the armor stand (HEAD, LEFT_HAND or RIGHT_HAND)
  position: HEAD
}
```

### 2. **Seats**  
- Seats are parts of the vehicle where players can sit.
  The seat configuration controls where the seat is placed and whether it allows steering.

**Here is an example of a Seat configuration with explanation:**
```json
{
  # The type of part (should always be "seat" for vehicle seats)
  type: seat

  # Position offsets relative to the vehicle's spawn point (steps of 0.1 allowed)
  xoffset: 0  # Horizontal offset
  yoffset: 0  # Vertical offset
  zoffset: 0  # Forward/backward offset

  # Rotation of the seat relative to the vehicle's orientation (in degrees)
  rotationOffset: 0

  # Whether this seat allows driving (true = player can drive from this seat)
  steer: true

  # The GUI item used to represent the seat part in the configuration GUI
  guiitem: {
    damage: 1              # The item’s damage value (used for durability, if applicable)
    material: DIAMOND_HOE  # The material of the item (e.g., DIAMOND_HOE)
    unbreakable: true      # Unbreakable will be true most of the time if damage is used
    flags: [               # Flags to apply to the item (can be used to hide item tooltips)
      HIDE_UNBREAKABLE
      HIDE_ADDITIONAL_TOOLTIP
    ]
  }
}
```

### 3. **Wheels**  
- Wheels are parts of the vehicle that determine its movement and appearance.
  The wheel configuration controls where the wheel is placed, what design to use, and whether it has steering capabilities.

**Here is an example of a Wheel configuration with explanation:**
```json
{
  # The type of part (should always be "wheel" for vehicle wheels)
  type: wheel

  # Position offsets relative to the vehicle's spawn point (steps of 0.1 allowed)
  xoffset: 0  # Horizontal offset
  yoffset: 0  # Vertical offset
  zoffset: 0  # Forward/backward offset

  # Rotation of the wheel relative to the vehicle's orientation (in degrees)
  rotationOffset: 0

  # Rim design used for this wheel
  rimDesignId: default

  # Whether this wheel is used for steering (true = wheel is used for steering)
  steering: true
}
```

---

## 🎨 Adding New Cars

Want to add custom cars to your server? VehiclesPlus makes it easy to integrate new models and designs.

1. **Model Creation:**  
   Create a custom car model using a 3D modeling tool like Blockbench.

2. **Resource Pack Setup:**  
   Add your model to the server’s resource pack. See the [Models](../models/adding.md) page for detailed instructions.

3. **Configuration:**  
   Define the new car in the plugin’s configuration file. Specify properties like speed, fuel capacity, and parts compatibility.

For a detailed guide, visit the [Adding New Vehicles](../vehicles/models/adding.md) page.